Subject: [IPP] FWD: JPS2 media-meterial email

From: "Murdock, Joe" <[email-masked]>
Date: Wed, 3 Aug 2011 11:46:39 -0700

Item 11 near the bottom has the comments about media-material

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Tom Hastings
Sent: Thursday, August 26, 2010 3:28 AM
To: [email-masked]
Cc: [email-masked]; Michael Sweet
Subject: [IPP] RE: [Pwg-Announce] Re: PWG Last Call of IPP JPS2 (26 July to 27 August 2010) [Abstract & Summary of changes]

The Draft IPP Job and Printer Extensions - Set 2 (JPS2) specification is up for PWG Last Call with comments due this Friday, August 27.  See Ira's reminder at the end of this email for how to do this.  

The intent of this email is to encourage member companies to submit their comments, if any.  This email has the current abstract and the list of the technical changes since the August 3, 2009 version whose technical content was the same as the version submitted by Xerox seven years ago on 21 August 2002.

Here is the current Abstract:

Abstract: This Job and Printer Extensions - Set 2 Specification (JPS2) defines an extension to the Internet Printing Protocol/1.0 (IPP) ([RFC2565], [RFC2566]), IPP/1.1 ([RFC2910], [RFC2911]), and [RFC3380].  This JPS2 consists of a REQUIRED Job Template attribute to print a proof print(s) of the job prior to printing the full run of the job and OPTIONAL Job Template attributes for submitting print jobs that permit a user to save jobs for later reprinting (i.e., retain the jobs indefinitely), provide a recipient name and a job phone number, provide the feed orientation, provide the font name and font size, hold a job until a specific date and time, delay the output of a job (but allow processing) until a specified time period, delay the output of a job (but allow processing) until a specific date and time, and specify an interpreter initialization file.
  
This JPS2 also defines four new REQUIRED operations - Cancel-Jobs, Cancel-My-Jobs, Close-Job, and Resubmit-Job - and a new REQUIRED "job-ids"
operation attribute to be used with the existing Get-Jobs and Purge-Jobs operations. Cancel-Jobs allows an operator/administrator to cancel a list of Not Completed jobs or all Not Completed jobs on the Printer. Cancel-My-Jobs allows a user to cancel a list of their Not Completed jobs or all their Not Completed jobs. Close-Job allows a client to close a multi-document job without supplying any additional documents (to support streaming clients and servers).  Resubmit-Job allows a user to re-process a modified copy of a Retained Job. Get-Jobs with the "job-ids" attribute allows a user to get a list of jobs. Purge-Jobs with the "job-ids" attribute allows an operator/administrator to purge a list of jobs. There are also Printer Description attributes to list the Job Creation attributes supported, indicate whether jobs are spooled, and list the set of media collections supported.  In addition, conformance to JPS2 also REQUIRES support of the Reprocess-Job operation defined in [RFC3998].

Some of the Job Template attributes defined in this specification are also defined to be supplied as Operation attributes in the Hold-Job ([RFC2911]) and Set-Job-Attributes ([RFC3380]) operations.

In addition, OPTIONAL semantics for Attribute Precedence, a Queue Override Feature, and a feature to guarantee protocol precedence over the PDL attribute are defined.

Here is the summary of the technical changes to the Draft IPP Job and Printer Extensions - Set 2 (JPS2) since August 3, 2009 (in order to keep this list short, the non-technical changes, such as new diagrams, reformatting tables, editorial improvement, adding terminology, etc. is not
included):

1.	Added the following REQUIRED operations (the original 2002 draft had
no new operations defined):
a.	Cancel-Jobs - allows an operator/administrator to cancel a list of
Not Completed jobs or all Not Completed jobs on the Printer.
b.	Cancel-My-Jobs - allows a user to cancel a list of their Not
Completed jobs or all their Not Completed jobs.
c.	Close-Job - allows a client to close a multi-document job without
supplying any additional documents (to support streaming clients and servers).
d.	Resubmit-Job - prints a Retained Job using the same job template
attributes as the saved job, creating a new job (and job ID).
2.	Made a Saved Job a special case of a Retained Job (when the client
supplies the "job-save-disposition" (collection) Job Template attribute).
Use the job's "job-id" integer(1:MAX) as the handle to uniquely identify jobs saved using the Reprocess-Job (defined in RFC 3998) and Resubmit-Job
(new) in a Printer context, instead of "document-uri" (uri).  Therefore, multiple Saved Jobs can have the same "job-name", since they are uniquely distinguished by their "job-id".  Do NOT use the existing Print-URI operation to reprint Saved Jobs.  Removed the discussion about Virtual File Name to identify Saved Jobs, since the "job-id" is now used.
3.	Made a Proof Print Job a special case of a Retained Job (when the
client supplies the "proof-print" (collection) Job Template attribute), so the Proof Print Job winds up in the 'completed' state, rather than the
'pending-held' state while being proof read by a human.   The Printer MUST
retain the job for an implementation-defined time period that is sufficiently long for the user to be able to proof read the output of the Proof Print job and SHOULD be longer than the aging of normal completed jobs.  When the user reprints the Proof Print Job (using either the Resubmit-Job or Reprocess-Job operation), the "proof-print" (collection) attribute is not copied to the new job.
4.	Added the "job-delay-output-until" (type3 keyword | name(MAX) and
"job-delay-output-until-time" (dateTime) Job Template attributes which delay any output until the specified time period or time, respectively, but allow the Printer to start processing the job.
5.	Added a REQUIRED "job-ids" Operation attribute to the existing
Get-Jobs and Purge-Jobs operations defined in [RFC2911].
6.	Added 'saved' and 'proof-print' keywords to the "which-jobs"
operation attribute used in (1) the Get-Jobs operation and (2) "which-jobs-supported" Printer Description attribute.
7.	Added the following "job-state-reasons" values:
a.	'job-delay-output-until-specified'
b.	'job-printed-successfully'
c.	'job-printed-with-errors'
d.	'job-printed-with-warnings'
8.	Removed the following "job-state-reasons" values:
a.	'job-proof-wait'
b.	'job-scheduling'
9.	Changed the data type of the "job-phone-number" Job Template
attribute from text(127) to tel: URI (REQUIRED, if supporting
"job-phone-number") with fax: scheme as OPTIONAL.
10.	Extended the length of the data type of "job-password-supported"
Printer Description attribute from integer(0:127) to integer(0:255), since the password that the client can supply with the "job-password" Operation attribute can be 255 octets. 
11.	To the "media-type" member attribute of the "media-col" Job Template
attribute: Added a large number of keywords from [JDF1.4] MediaType and MediaTypeDetails, including the five keywords from "media-material"
('aluminum', 'dry-film', 'paper', 'polyester', 'wet-film') and removed the "media-material" attribute altogether.
12.	Added the following Printer Description attributes:
a.	"job-ids-supported" (boolean)
b.	"save-name-subdirectory-supported' (boolean)
c.	"pdl-init-file-name-subdirectory-supported" (boolean)

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ira McDonald
Sent: Saturday, August 21, 2010 10:59
To: [email-masked]; Ira McDonald
Cc: [email-masked]
Subject: [Pwg-Announce] Re: PWG Last Call of IPP JPS2 (26 July to 27
August2010)

Hi,

Reminder that this PWG Last Call for IPP JPS2 will end this coming Friday (27 August 2010).

Please take the time to review this document and send your acknowledgment as described below, so that we can achieve the quorum required by the PWG Process/3.0 in order to exit from PWG Last Call.

Thanks,
- Ira McDonald (IPP editor)

On Mon, Jul 26, 2010 at 11:19 PM, Michael Sweet <[email-masked]> wrote:
> Greetings:
>
> [This PWG Last Call will start today on Monday 26 July 2010.
> This PWG Last Call will end at Friday 27 August 2010 at 10pm US PDT.]
>
> This is the formal announcement of the PWG Last Call for the IPP Job 
> and Printer Operations Set-2 (JPS2) specification, which is located at:
>
>
 ftp://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippjobprinterext10-v31-20100725-clean.p
df
>
> All required operations and attributes defined in this document have 
> been prototyped by Apple and/or Xerox.  The IPP WG has completed a 
> working group last call and subsequent revisions of this document.
>
> The PWG Process/3.0 requires that a quorum (30%) of PWG voting members 
> must acknowledge a PWG Last Call (with or without comments), before 
> any document can progress to PWG Formal Vote.
>
> Please send your review acknowledgment *exactly* as follows:
>
> To:  [email-masked]
> Subject:  <Company Name> has reviewed IPP JPS2 and has [no] comments
>
>
> Please do NOT simply reply to this note on the PWG-Announce list.
>
>
> Note:  The PWG Definition of the Standards Development Process Version 
> 3.0 is located at:
>
>  http://www.pwg.org/chair/membership_docs/pwg-process30.pdf
>
> Regards,
> - Michael Sweet (PWG Chair)
>
> --
> This message has been scanned for viruses and dangerous content by 
> MailScanner, and is believed to be clean.
> _______________________________________________
> pwg-announce mailing list
> [email-masked]
> https://www.pwg.org/mailman/listinfo/pwg-announce
>
>

--
This message has been scanned for viruses and dangerous content by MailScanner, and is believed to be clean.

_______________________________________________
pwg-announce mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/pwg-announce

--
This message has been scanned for viruses and dangerous content by MailScanner, and is believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp